<?php
/**
 * Test the Pro Boards class.
 *
 * @since 1.9.6
 * @package WPDiscussionBoard
 */

namespace WPDiscussionBoard\Tests;

/**
 * Test class for Pro Boards.
 *
 * @since 2.9.6
 */
class Test_CT_DB_Pro_Boards extends \WP_UnitTestCase {

	/**
	 * Instance under test.
	 *
	 * @since 2.4.4
	 */
	protected $instance;

	/**
	 * Setup the tests.
	 *
	 * @since 2.4.4
	 */
	protected function setUp() {
		$this->instance = new \CT_DB_Pro_Boards();

		parent::setUp();
	}

	/**
	 * Test fetching a user.
	 *
	 * @since 1.9.6
	 *
	 * @covers CT_DB_Pro_Boards::update_board_follow_status()
	 */
	public function test_get_user() {
		$user = $this->factory->user->create_and_get(
			array(
				'user_login' => 'test',
				'user_email' => 'test@test.com',
			)
		);

		$board = $this->factory->term->create_and_get(
			array(
				'term_name' => 'Test Board',
				'taxonomy'  => 'board',
			)
		);

		add_term_meta( $board->term_id, 'ctdb_board_followers', 'test1@test.com,test2@test.com,test3@test.com' );

		wp_set_current_user( $user->ID );

		$_POST['boardid']   = $board->term_id;
		$_POST['userid']    = $user->ID;
		$_POST['following'] = 'follow';
		$_POST['security']  = wp_create_nonce( 'board_follow_nonce_1' );

		// Clean up.
		wp_Set_current_user( 1 );
	}
}
